<?php
class config{
	// Welcome to the 4get configuration file
	// When updating your instance, please make sure this file isn't missing
	// any parameters.

	// 4get version. Please keep this updated
	const VERSION = 8;

	// Will be shown pretty much everywhere.
	const SERVER_NAME = "4get";

	// Will be shown in <meta> tag on home page
	const SERVER_SHORT_DESCRIPTION = "4get is a proxy search engine that doesn't suck.";

	// Will be shown in server list ping (null for no description)
	const SERVER_LONG_DESCRIPTION = null;

	// Add your own themes in "static/themes". Set to "Dark" for default theme.
	// Eg. To use "static/themes/Cream.css", specify "Cream".
	const DEFAULT_THEME = "black";

	// Default user agent to use for scraper requests. Sometimes ignored to get specific webpages
	// Changing this might break things.
	const USER_AGENT = "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:134.0) Gecko/20100101 Firefox/134.0";

	// Temporary directory for saving the page icons
	const ICON_DIR = "/tmp/icons";

	// List of domains that point to your servers. Include your tor/i2p
	// addresses here! Must be a valid URL. Won't affect links placed on
	// the homepage.
	const ALT_ADDRESSES = [
		//"https://4get.alt-tld",
		//"http://4getwebfrq5zr4sxugk6htxvawqehxtdgjrbcn2oslllcol2vepa23yd.onion"
	];

	// Proxy pool assignments for each scraper
	// false = Use server's raw IP
	// string = will load a proxy list from data directory
	// Eg. "tor" will load data/tor.txt
	const PROXY_DDG = false; // duckduckgo
	const PROXY_BRAVE = false;
	const PROXY_FB = false; // facebook
	const PROXY_GOOGLE = false;
	const PROXY_GOOGLE_API = false;
	const PROXY_GOOGLE_CSE = false;
	const PROXY_STARTPAGE = false;
	const PROXY_QWANT = false;
	const PROXY_GHOSTERY = false;
	const PROXY_MARGINALIA = false;
	const PROXY_MOJEEK = false;
	const PROXY_SC = false; // soundcloud
	const PROXY_SPOTIFY = false;
	const PROXY_SOLOFIELD = false;
	const PROXY_WIBY = false;
	const PROXY_CURLIE = false;
	const PROXY_YT = false; // youtube
	const PROXY_YEP = false;
	const PROXY_PINTEREST = false;
	const PROXY_SANKAKUCOMPLEX = false;
	const PROXY_FLICKR = false;
	const PROXY_FIVEHPX = false;
	const PROXY_VSCO = false;
	const PROXY_SEZNAM = false;
	const PROXY_NAVER = false;
	const PROXY_GREPPR = false;
	const PROXY_CROWDVIEW = false;
	const PROXY_MWMBL = false;
	const PROXY_FTM = false; // findthatmeme
	const PROXY_IMGUR = false;
	const PROXY_YANDEX_W = false; // yandex web
	const PROXY_YANDEX_I = false; // yandex images
	const PROXY_YANDEX_V = false; // yandex videos

	//
	// Scraper-specific parameters
	//

	// GOOGLE CSE & GOOGLE API
	const GOOGLE_CX_ENDPOINT = "d4e68b99b876541f0";

	// MARGINALIA
	// Use "null" to default out to HTML scraping OR specify a string to
	// use the API (Eg: "public"). API has less filters.
	const MARGINALIA_API_KEY = null;
}
